com.ibm.openpages.api.configuration

## Interface IProfileFieldDefinition

- All Superinterfaces:
    IFieldDefinition

      public interface IProfileFieldDefinition
      extends IFieldDefinition

  Interface that gives access to profile field information used by an OpenPages system.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IDisplayType` | `getDisplayType()` Retrieves the displayType information for this field.
    `int` | `getObjectOrder()` Retrieves this profile field's order number.
    `Id` | `getProfileFieldId()` Returns the unique Profile Field Id for this Field Definition in the requested Profile.
    `Id` | `getProfileTypeDefinitionId()` Returns the Profile Object Type Definition Id for the Type that this Field Definition belongs to on the requested Type and Profile.
    `boolean` | `isReadOnly()` Checks if this profile field is a read-only field.
    `boolean` | `isRequired()` Checks if this profile field is a required field.

    - ### Methods inherited from interface com.ibm.openpages.api.metadata.IFieldDefinition

      `getDataType, getDefaultValue, getDependencies, getDescendantEnumValuesByParentId, getDescendantEnumValuesByParentName, getDescription, getDisplayTypeAttributes, getEnumValue, getEnumValue, getEnumValueById, getEnumValues, getId, getIsHierarchical, getLocalizedGuidance, getLocalizedGuidances, getLocalizedLabel, getLocalizedLabels, getMaxValue, getMinValue, getName, isComputed, isController, isEncrypted`

- - ### Method Detail

    - #### isRequired

          boolean isRequired()

      Checks if this profile field is a required field. Return true/false value.
      Specified by:
        `isRequired` in interface `IFieldDefinition`
      Returns:
        true if the field is required, otherwise false.

    - #### isReadOnly

          boolean isReadOnly()

      Checks if this profile field is a read-only field. Return true/false value.
      Specified by:
        `isReadOnly` in interface `IFieldDefinition`
      Returns:
        true if the field is read-only, otherwise false.

    - #### getObjectOrder

          int getObjectOrder()

      Retrieves this profile field's order number.
      Returns:
        int value specifying the field's order.

    - #### getDisplayType

          IDisplayType getDisplayType()

      Retrieves the displayType information for this field.
      Returns:
        object with the display type information for this field.

    - #### getProfileFieldId

          Id getProfileFieldId()

      Returns the unique Profile Field Id for this Field Definition in the requested Profile.
      Returns:
        Profile Field Id for this Field Definition.

    - #### getProfileTypeDefinitionId

          Id getProfileTypeDefinitionId()

      Returns the Profile Object Type Definition Id for the Type that this Field Definition belongs to on the requested Type and Profile.
      Returns:
        Profile Object Type Definition Id for this Profile Field Definition.

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.